<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

    <head th:replace="fragments/header :: header">
        <title th:text="#{title}">title</title>
    </head>
    <body>

        <!--Start Container-->
        <div id="main" class="container-fluid">
            <div class="row">

                <th:block th:include="fragments/sidebar :: sidebar('naturalPerson')"></th:block>

                <!--Start Content-->
                <div id="content" class="col-xs-12 col-sm-10">

                    <th:block th:include="fragments/about :: about"></th:block>

                    <!-- Preloader -->
                    <th:block th:include="fragments/preloader :: preloader"></th:block>

                    <!--Start Breadcrumb-->
                    <div class="row">
                        <div id="breadcrumb" class="col-xs-12">

                            <a href="#" class="show-sidebar">
                                <i class="fa fa-bars"></i>
                            </a>

                            <th:block th:insert="breadcrumb :: breadcrumb(breadcrumb)">
                                <ol class="breadcrumb pull-left">
                                    <li><a th:text="#{index}" th:href="@{/index}" href="index.html">index</a></li>
                                    <li th:text="#{knowYourCustomer}">knowYourCustomer</li>
                                    <li><a th:text="#{naturalPerson}" th:href="@{/kyc/naturalPerson}"
                                           href="kyc/naturalPerson.html">naturalPerson</a></li>
                                </ol>
                            </th:block>

                            <!--
                            <ol class="breadcrumb pull-left">
                                <li><a th:href="@{/}" href="index.html">Index</a></li>
                            </ol>-->
                            <div id="social" class="pull-right">
                                <a href="#"><i class="fa fa-google-plus"></i></a>
                                <a href="#"><i class="fa fa-facebook"></i></a>
                                <a href="#"><i class="fa fa-twitter"></i></a>
                                <a href="#"><i class="fa fa-linkedin"></i></a>
                                <a href="#"><i class="fa fa-youtube"></i></a>
                            </div>
                        </div>
                    </div>
                    <!--End Breadcrumb-->


                    <!--Start Dashboard 2-->
                    <div class="row">

                        <div class="col-xs-12 col-sm-12">
                            <div class="box">

                                <div class="box-header">
                                    <div class="box-name">
                                        <i class="fa fa-table"></i>
                                        <span th:text="#{validationForm.title}">[validationForm.title]</span>
                                    </div>
                                    <div class="box-icons">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-up"></i>
                                        </a>
                                    </div>
                                    <div class="no-move"></div>
                                </div>
                                <div class="box-content">

                                    <h4 th:text="#{form.table.validation}" class="page-header">
                                        [form.table.validation]</h4>



                                    <div th:if="${documentToValidate} != null">
                                        <pre class="prettyprint lang-xml" th:text="${documentToValidate}">[documentToValidate]</pre>
                                    </div>

                                    <div th:if="${simpleReport} != null">

                                        <!-- Nav tabs -->
                                        <ul class="nav nav-tabs" role="tablist">
                                            <li role="presentation" class="active"><a href="#simpleReport" aria-controls="simpleReport" role="tab" data-toggle="tab" th:text="#{label.simpleReport}">[label.simpleReport]</a></li>
                                            <li role="presentation"><a href="#detailedReport" aria-controls="detailedReport" role="tab" data-toggle="tab" th:text="#{label.detailedReport}">[label.detailedReport]</a></li>
                                            <li role="presentation"><a href="#diagnosticData" aria-controls="diagnosticData" role="tab" data-toggle="tab" th:text="#{label.diagnosticData}">[label.diagnosticData]</a></li>
                                        </ul>

                                        <!-- Tab panes -->
                                        <div class="tab-content" style="margin-top:10px;">
                                            <div role="tabpanel" class="tab-pane active" id="simpleReport">

                                                <div class="panel panel-default">
                                                    <div class="panel-heading" th:text="'Validation Policy : ' + ${simpleReport.policy.policyName}">Panel heading without title</div>
                                                    <div class="panel-body">
                                                        <p th:text="${simpleReport.policy.policyDescription}"></p>
                                                    </div>
                                                </div>

                                                <div class="panel panel-default">
                                                    <div class="panel-heading" th:text="#{label.document.information}">[label.document.information]</div>
                                                    <div class="panel-body">

                                                        <dl class="dl-horizontal">
                                                            <dt th:text="#{label.documentName}">[documentName]</dt>
                                                            <dd th:text="${simpleReport.documentName}"></dd>
                                                        </dl>

                                                        <dl class="dl-horizontal">
                                                            <dt th:text="#{label.validSignaturesCount}">[validSignaturesCount]</dt>
                                                            <dd th:text="${simpleReport.validSignaturesCount}"></dd>
                                                        </dl>
                                                    </div>
                                                </div>


                                                <th:block th:each="signature, stat : *{simpleReport.signature}">
                                                    <div class="panel panel-default">
                                                        <div class="panel-heading" th:text="'Signature: ' + ${signature.id}">[signature.id]</div>
                                                        <div class="panel-body">

                                                            <dl class="dl-horizontal">
                                                                <dt th:text="#{label.signingTime}">[signingTime]</dt>
                                                                <dd th:text="${#dates.format(signature.signingTime)}"></dd>
                                                            </dl>
                                                            <dl class="dl-horizontal">
                                                                <dt th:text="#{label.signedBy}">[signedBy]</dt>
                                                                <dd th:text="${signature.signedBy}"></dd>
                                                            </dl>
                                                            <dl class="dl-horizontal">
                                                                <dt th:text="#{label.signatureFormat}">[signatureFormat]</dt>
                                                                <dd th:text="${signature.signatureFormat}"></dd>
                                                            </dl>
                                                            <dl class="dl-horizontal">
                                                                <dt th:text="#{label.indication}">[indication]</dt>
                                                                <dd th:text="${signature.indication}"></dd>
                                                            </dl>

                                                            <dl class="dl-horizontal">
                                                                <dt th:text="#{label.certificateChain}">[certificateChain]</dt>
                                                                <th:block th:each="cert, stat : *{signature.certificateChain.certificate}">
                                                                    <dd th:text="${cert.qualifiedName}"></dd>
                                                                </th:block>
                                                            </dl>
                                                        </div>
                                                    </div>

                                                </th:block>

                                            </div>

                                            <div role="tabpanel" class="tab-pane" id="detailedReport">

                                                TODO

                                            </div>
                                            <div role="tabpanel" class="tab-pane" id="diagnosticData">

                                                <div class="panel panel-default">

                                                    <div class="panel-body">

                                                        <th:block th:each="signature, stat : *{diagnosticData.signatures}">

                                                            <dl class="dl-horizontal">
                                                                <dt th:text="#{label.signature.id}">[label.signature.id]</dt>
                                                                <dd th:text="${signature.id}"></dd>
                                                            </dl>

                                                            <dl class="dl-horizontal">
                                                                <dt th:text="#{label.structuralValidation}">[label.structuralValidation]</dt>
                                                                <dd th:text="${signature.structuralValidation.valid}"></dd>
                                                            </dl>

                                                            <ul class="list-group">
                                                                <li class="list-group-item">
                                                                    <dl class="dl-horizontal">
                                                                        <dt th:text="#{label.encryptionAlgoUsedToSignThisToken}">[label.encryptionAlgoUsedToSignThisToken]</dt>
                                                                        <dd th:text="${signature.basicSignature.encryptionAlgoUsedToSignThisToken}"></dd>
                                                                    </dl>
                                                                    <dl class="dl-horizontal">
                                                                        <dt th:text="#{label.keyLengthUsedToSignThisToken}">[label.keyLengthUsedToSignThisToken]</dt>
                                                                        <dd th:text="${signature.basicSignature.keyLengthUsedToSignThisToken}"></dd>
                                                                    </dl>
                                                                    <dl class="dl-horizontal">
                                                                        <dt th:text="#{label.digestAlgoUsedToSignThisToken}">[label.digestAlgoUsedToSignThisToken]</dt>
                                                                        <dd th:text="${signature.basicSignature.digestAlgoUsedToSignThisToken}"></dd>
                                                                    </dl>
                                                                    <dl class="dl-horizontal">
                                                                        <dt th:text="#{label.signatureIntact}">[label.signatureIntact]</dt>
                                                                        <dd th:text="${signature.basicSignature.signatureIntact}"></dd>
                                                                    </dl>
                                                                    <dl class="dl-horizontal">
                                                                        <dt th:text="#{label.signatureValid}">[label.signatureValid]</dt>
                                                                        <dd th:text="${signature.basicSignature.signatureValid}"></dd>
                                                                    </dl>
                                                                </li>
                                                            </ul>

                                                        </th:block>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>

                                    <form class="form-horizontal" th:action="@{/validation}" method="post">

                                        <div class="col-sm-offset-9" style="margin-top:10px;">
                                            <button type="submit" class="btn btn-default"
                                                    th:text="#{signatureProcess.validate.button.label}">
                                            </button>
                                        </div>
                                    </form>

                                </div>

                            </div>
                        </div>

                        <div class="clearfix"></div>
                    </div>
                    <!--End Dashboard 2 -->

                </div>
                <div class="clearfix"></div>


            </div>
            <!--End Content-->
        </div>
        <!--End Container-->

        <div th:replace="fragments/js :: js">JavaScript</div>

    </body>
</html>